Import a Lexicon - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Import a Lexicon
POST/v2.0/lexicons/{lexiconId}/import
cURL Example
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/import \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form mode=skip \
--form file='@example-file'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/import"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "mode": "skip" }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)
JavaScript Example
const form = new FormData();
form.append('mode', 'skip');
form.append('file', '<string>');
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
options.body = form;
fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl,
[
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"mode\"\r\n\r\nskip\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Content-Type: multipart/form-data",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/import"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"mode\"\r\n\r\nskip\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HTTP Response Codes
- 202: Successfully uploaded your Lexicon data and created a Task for importing it.
- 400: Validation failed. Missing payload.
- 401: Unauthorized Error
- 402: Payment Required
- 403: Forbidden Error
- 404: Not Found Error
- 405: Method Not Allowed
- 409: Conflict Error
- 413: Payload Too Large
- 500: Internal Server Error
- 501: Not Implemented
- 502: Bad Gateway
- 503: Service Unavailable
- 504: Gateway Timeout
Response Body Example
{
"_id": "<string>",
"status": "queued",
"type": "trainIntents",
"parameters": {},
"lastChangedAt": 1594243850,
"lastCreatedAt": 1594243850,
"currentStep": 0,
"totalStep": 100
}
Authorizations
- API Key in header
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. Default isapplication/json.
Path Parameters
- lexiconId: Required unique identifier for the Lexicon; string length of
24.